libvte9_0.28.2-5_amd64.deb


Advertisement

Description

libvte9 - Terminal emulator widget for GTK+ 2.0 - runtime files

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name libvte9
Package version 0.28.2
Package release 5
Package architecture amd64
Package type deb
Installed size 1.04 KB
Download size 709.43 KB
Official Mirror ftp.br.debian.org
The VTE library provides a terminal emulator widget VteTerminal for
applications using the GTK+ toolkit. It also provides the VtePTY object
containing functions for starting a new process on a new
pseudo-terminal and for manipulating pseudo-terminals.
This package contains the runtime library, needed by programs using the
VTE widget with GTK+ 2.0.

Alternatives

Package Version Architecture Repository
libvte9_0.28.2-5_i386.deb 0.28.2 i386 Debian Main
libvte9 - - -

Requires

Name Value
libatk1.0-0 >= 1.12.4
libc6 >= 2.4
libcairo2 >= 1.2.4
libfontconfig1 >= 2.9.0
libfreetype6 >= 2.2.1
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.31.8
libgtk2.0-0 >= 2.24.0
libncurses5 >= 5.5-5~
libpango1.0-0 >= 1.22.0
libtinfo5 -
libvte-common = 1:0.28.2-5
libx11-6 -

Download

Type URL
Binary Package libvte9_0.28.2-5_amd64.deb
Source Package vte

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libvte9 deb package:
    # sudo apt-get install libvte9

Files

Path
/usr/lib/libvte.so.9
/usr/lib/libvte.so.9.2800.2
/usr/lib/libvte9/gnome-pty-helper
/usr/share/doc/libvte9/AUTHORS
/usr/share/doc/libvte9/NEWS.gz
/usr/share/doc/libvte9/README
/usr/share/doc/libvte9/changelog.Debian.gz
/usr/share/doc/libvte9/changelog.gz
/usr/share/doc/libvte9/copyright
/usr/share/lintian/overrides/libvte9

Changelog

2012-06-23 - Josselin Mouette <joss@debian.org>
vte (1:0.28.2-5) unstable; urgency=medium
* Update repository URL.
* 03_CVE-2012-2738.patch, 04_CVE-2012-2738.patch: backport upstream 
patches to fix a memory exhaustion vulnerability. Closes: #677717.
2011-12-11 - Michael Biebl <biebl@debian.org>
vte (1:0.28.2-4) unstable; urgency=low
* debian/control.in:
- Remove obsolete Conflicts and Replaces.
* debian/rules:
- Correctly pass libexecdir to configure so libvte has the correct path to
gnome-pty-helper. Closes: #645104
* Add symbols file for libvte9 for improved shlibs dependencies and bump
shlibs accordingly. Closes: #633798
2011-11-19 - Josselin Mouette <joss@debian.org>
vte (1:0.28.2-3) unstable; urgency=low
* 02_meta.patch: workaround for Meta key being broken since the GTK+
2.24.8 upgrade. Closes: #648760.
2011-11-12 - Josselin Mouette <joss@debian.org>
vte (1:0.28.2-2) experimental; urgency=low
* Drop all GTK+3 packages and dependencies. This version will remain 
for GTK+2 support until no packages use it anymore.
* Keep gobject-introspection build-dependency for the macro used by 
dh_autoreconf.
* Disable glade catalogue and libgladeui requirement.
2011-10-19 - Michael Biebl <biebl@debian.org>
vte (1:0.28.2-1) unstable; urgency=low
* New upstream release.
* debian/watch:
- Track .xz tarballs.
* Refresh debian/patches/25_optional-ncurses.patch.
* debian/control.in:
- Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
- Add Vcs-* fields.
- Bump Standards-Version to 3.9.2. No further changes.
* Switch to dh_python2.
2011-06-28 - Josselin Mouette <joss@debian.org>
vte (1:0.28.1-2) unstable; urgency=low
* libvte-doc.links: dropped. Closes: #631881.
* libvte-common.postinst: do the symlink dance for 
/usr/share/vte/termcap. Closes: #611826, #631824, #631801.
2011-06-15 - Josselin Mouette <joss@debian.org>
vte (1:0.28.1-1) unstable; urgency=low
* Tighten dependencies on libvte-common.
* New upstream release.
+ CVE-2011-2198: fix memory exhaustion by using special character 
sequences. Closes: #629688.
* Drop check-dist include.
2011-06-05 - Josselin Mouette <joss@debian.org>
vte (1:0.28.0-2) experimental; urgency=low
* Fix long description, thanks Teemu Ikonen. Closes: #623219.
* Drop useless libvte-dev dependency on python-vte. Closes: #549015.
* libvte-common Breaks libvte9 < 1:0.28. Closes: #616394, #611826.
* python-vte Breaks python-apt << 0.8.0~exp2. Closes: #621483.
* Fix udeb sourcedir, thanks Colin Watson. Closes: #627555.
* 01_scroll_notebook.patch: new patch. Allow to switch tabs with 
Alt+wheel with the latest gtk+3.0.
2011-04-14 - Raphaƫl Hertzog <hertzog@debian.org>
vte (1:0.28.0-1) experimental; urgency=low
* Team upload.
* New upstream release.
* Add build-depends to libgladeui-dev, the GTK3 version now requires it.
* Move autoreconf.mk before debhelper.mk to avoid debhelper.log
leftovers.
* Drop unneeded Sections fields duplicating the default value.
* Add lintian overrides for package-name-doesnt-match-sonames and
setgid-binary.
2011-04-06 - Jordi Mallach <jordi@debian.org>
vte (1:0.27.90-2) experimental; urgency=low
* Drop unneeded dependency on libvte-common from gir1.2-vte-2.90.

See Also

Package Description
libvtk-java_5.8.0-13+b1_amd64.deb Visualization Toolkit - A high level 3D visualization library - java
libvtk5-dev_5.8.0-13+b1_amd64.deb VTK header files for building C++ code
libvtk5-qt4-dev_5.8.0-13+b1_amd64.deb Visualization Toolkit - A high level 3D visualization library - Qt devel
libvtk5.8-qt4_5.8.0-13+b1_amd64.deb Visualization Toolkit - A high level 3D visualization library - Qt runtime
libvtk5.8_5.8.0-13+b1_amd64.deb Visualization Toolkit - A high level 3D visualization library - runtime
libvtkedge-dev_0.2.0~20110819-2_amd64.deb Library of advanced visualization and data processing techniques - development
libvtkedge_0.2.0~20110819-2_amd64.deb Library of advanced visualization and data processing techniques - runtime
libvtkgdcm-cil_2.2.0-14.1_amd64.deb Grassroots DICOM VTK CLI bindings
libvtkgdcm-java_2.2.0-14.1_amd64.deb Grassroots DICOM VTK Java bindings
libvtkgdcm-tools_2.2.0-14.1_amd64.deb Grassroots DICOM VTK tools and utilities
libvtkgdcm2-dev_2.2.0-14.1_amd64.deb Grassroots DICOM VTK development libraries and headers
libvtkgdcm2.2_2.2.0-14.1_amd64.deb Grassroots DICOM VTK runtime libraries
libvxl1-dev_1.14.0-18_amd64.deb C++ Libraries for Computer Vision Research
libvxl1.14_1.14.0-18_amd64.deb C++ Libraries for Computer Vision Research
libwacom-common_0.6-1_all.deb Wacom model feature query library (common files)
Advertisement
Advertisement